# Generated by Django 4.0.10 on 2024-10-24 12:43

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('base', '0018_launch_satellitelaunch_satellite_launch'),
    ]

    operations = [
        migrations.RenameField(
            model_name='satellitelaunch',
            old_name='launch_status',
            new_name='sat_status',
        ),
        migrations.AddField(
            model_name='launch',
            name='boost_type',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='launch',
            name='status',
            field=models.CharField(blank=True, max_length=255, null=True),
        ),
        migrations.AddField(
            model_name='satellite',
            name='deploy_directly',
            field=models.BooleanField(default=True),
        ),
        migrations.AddField(
            model_name='satellite',
            name='deployer',
            field=models.CharField(blank=True, default=None, max_length=255, null=True),
        ),
        migrations.AlterField(
            model_name='satellite',
            name='launch',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='db_satellites', to='base.launch'),
        ),
    ]
